package com.usoftchina.bi.server.model.vo.dataVo;

import java.io.Serializable;
import java.util.List;

/**
 * 看板目录返回对象
 * @Author chenwei
 * @Date 2019-04-19
 */
public class DashboardMenuRespDTO implements Serializable{

    private int id;
    /**
     * 名称：报表名称或目录名称
     */
    private String name;
    /**
     * 类型:menu或dashboard
     */
    private String type;

    private List<DashboardMenuRespDTO> children;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<DashboardMenuRespDTO> getChildren() {
        return children;
    }

    public void setChildren(List<DashboardMenuRespDTO> children) {
        this.children = children;
    }
}
